***********************************************************************************************************
** this do file sets paths and runs code to generate tables/figures
** last update: 26/09/2021
***********************************************************************************************************

clear all
set more off

global dir "dl-files/Empirical"

cd $dir
global raw_data "$dir/Data/Raw"
global working_data "$dir/Data/Working"
global out_files "$dir/Output"

**==============================================================================
*Prepare health data from CFPS
do MakeData0.do

*Prepare the sample
do MakeData1.do

*Merge health data
do MakeData2.do

*Generate regression tables
do MakeTable.do

*Generate summary statistics
do SummTable.do

*Carry out placebo tests
do Placebo.do

*Generate figures
do MakeGraph.do

*Carry out falsification tests
do Fals.do
